Categories:
  - Connectivity
License: AGPL-3.0-only
WebSite: http://openbmap.org
SourceCode: https://github.com/openbmap/radiocells-scanner-android
IssueTracker: https://github.com/openbmap/radiocells-scanner-android/issues

AutoName: RadioBeacon
Summary: Contribute to coverage maps
Description: |-
    Map wireless networks and cell towers for the [http://openbmap.org openbmap.org]
    database.

    openBmap is a free and open wifi and cells database. The website offers a
    coverage maps of wifis and cells. Collected data can be downloaded from the
    website and used for many purposes, such as determining your own location
    without GPS or creating network coverage maps.

    Status: Testing

RepoType: git
Repo: https://github.com/openbmap/radiocells-scanner-android

Builds:
  - versionName: '1.0'
    versionCode: 1
    disable: wrongly versioned (was fe1f5fe76b)
    commit: unknown - see disabled

  - versionName: 0.7.1
    versionCode: 2
    commit: 858b0d926c14
    subdir: android
    init:
      - rm -rf bin/
      - sed -i '/proguard/d' project.properties
    srclibs:
      - Mapsforge@0f71a427bd50
    build:
      - $$MVN3$$ clean package -DskipTests -f $$Mapsforge$$/pom.xml
      - mv $$Mapsforge$$/mapsforge-map/target/mapsforge-map-0.3.1-SNAPSHOT-jar-with-dependencies.jar
        libs/

  - versionName: 0.7.6
    versionCode: 5
    commit: v0.7.6
    subdir: android
    prebuild: sed -i '/proguard/d' project.properties

  - versionName: 0.7.7
    versionCode: 6
    commit: v0.7.7
    subdir: android
    prebuild: sed -i '/proguard/d' project.properties

  - versionName: 0.7.8
    versionCode: 7
    commit: v0.7.8
    subdir: android
    prebuild: sed -i '/proguard/d' project.properties

  - versionName: 0.7.9
    versionCode: 8
    commit: v0.8.0
    subdir: android
    patch:
      - openbmap-gradle.patch
    gradle:
      - yes
    rm:
      - android/libs/*jar

  - versionName: 0.8.3
    versionCode: 11
    commit: v0.8.3
    subdir: android
    patch:
      - openbmap-gradle.patch
    gradle:
      - yes
    rm:
      - android/libs/*jar
    prebuild: sed -i -e 's/0.4.3/0.5.0-rc1/g' -e '/svg-android/d' build.gradle

  - versionName: 0.8.4
    versionCode: 12
    commit: v0.8.4
    subdir: android
    patch:
      - openbmap-gradle.patch
    gradle:
      - yes
    rm:
      - android/libs/*jar
    prebuild: sed -i -e 's/0.4.3/0.5.0-rc1/g' -e '/svg-android/d' build.gradle

  - versionName: 0.8.5
    versionCode: 13
    disable: res issues
    commit: 6065846cbfcb
    subdir: android/app
    gradle:
      - yes
    rm:
      - android/app/libs/*.jar
    prebuild:
      - sed -i -e '/jar/d' -e 's/minSdkVersion 8/minSdkVersion 9/g' -e '/support-v4/acompile
        "com.caverock:androidsvg:1.2.1"\ncompile "org.apache.commons:commons-lang3:3.4"\ncompile
        "org.apache.httpcomponents:httpmime:4.2.3"\ncompile "com.jjoe64:graphview:3.1.3"\ncompile
        "org.mapsforge:mapsforge-core:0.5.1"\ncompile "org.mapsforge:mapsforge-map:0.5.1"\ncompile
        "org.mapsforge:mapsforge-map-reader:0.5.1"\ncompile "org.mapsforge:mapsforge-map-android:0.5.1"'
        build.gradle
      - rm ../local.properties

  - versionName: 0.8.6
    versionCode: 14
    disable: res issues
    commit: v0.8.6
    subdir: android/app
    gradle:
      - yes
    rm:
      - android/app/libs/*.jar
    prebuild:
      - sed -i -e '/jar/d' -e 's/minSdkVersion 8/minSdkVersion 9/g' -e '/support-v4/acompile
        "com.caverock:androidsvg:1.2.1"\ncompile "org.apache.commons:commons-lang3:3.4"\ncompile
        "org.apache.httpcomponents:httpmime:4.2.3"\ncompile "com.jjoe64:graphview:3.1.3"\ncompile
        "org.mapsforge:mapsforge-core:0.5.1"\ncompile "org.mapsforge:mapsforge-map:0.5.1"\ncompile
        "org.mapsforge:mapsforge-map-reader:0.5.1"\ncompile "org.mapsforge:mapsforge-map-android:0.5.1"'
        build.gradle
      - rm ../local.properties

  - versionName: 0.8.7
    versionCode: 15
    disable: res/R issues
    commit: bf16f5d07f2f
    subdir: android/app
    gradle:
      - yes
    rm:
      - android/app/libs/*.jar
    prebuild:
      - sed -i -e 's/minSdkVersion 8/minSdkVersion 9/g' build.gradle
      - rm ../local.properties

  - versionName: 0.8.8
    versionCode: 16
    commit: v0.8.8
    subdir: android/app
    gradle:
      - yes

  - versionName: 0.8.9
    versionCode: 17
    disable: untrusted repo
    commit: v0.8.9
    subdir: android/app
    gradle:
      - yes

  - versionName: 0.8.10
    versionCode: 18
    disable: java compilation fails
    commit: v0.8.10
    subdir: android/app
    gradle:
      - yes

  - versionName: 0.8.11
    versionCode: 19
    disable: java compilation fails
    commit: v0.8.11
    subdir: android/app
    gradle:
      - yes

  - versionName: 0.8.13
    versionCode: 22
    commit: v0.8.13
    subdir: android/app
    gradle:
      - yes
    prebuild: sed -i -e '/MissingTranslation/adisable "ExtraTranslation"\n' build.gradle

  - versionName: 0.8.15
    versionCode: 24
    commit: v0.8.15
    subdir: android/app
    gradle:
      - yes

  - versionName: 0.8.18
    versionCode: 27
    commit: v0.8.18
    subdir: android/app
    gradle:
      - yes
    prebuild: sed -i -e '/MissingTranslation/adisable "ExtraTranslation"\n' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 0.8.18
CurrentVersionCode: 27
